---
version: "3"

networks:
  {{ traefik_proxy_network }}:
    external: true

volumes:
  ssl-certs:

services:
  traefik:
    image: {{traefik_image}}:{{traefik_image_version}}
    container_name: traefik
    restart: unless-stopped #"{{traefik_copy_static_config_task.changed}}"
    logging:
      options:
        max-size: 5m
    networks:
      - {{ traefik_proxy_network }}
    ports:
      - 80:80
      - 443:443
    volumes:
      - "/srv/traefik:/etc/traefik:ro"
      - ssl-certs:/ssl-certs

{% if traefik_with_whomai_service %}
  whoami:
    image: traefik/whoami:v1.9
    container_name: whoami
    restart: unless-stopped
    networks:
      - {{ traefik_proxy_network }}
{% endif %}
